<?php
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showComponent">
<?php 
/**************************** Version 20240903 ***************************/
/* The following code sets defaults for testing only.
    If these defaults adversely affect your component code, comment out
		 this section by removing the slash behind this asterisk ->*/ 
if (!isset($wfo)&&!isset($component)) { 
	$wfo='in';
	$divWidth = '656';         // They are used for testing only
	$component = "_Day1";
  $leftMargin = 50; // Left margin to display text
  $mapPath = './images/';
	$_SESSION['CSSwidescreen'] = false;
	$standAlone = true;
}
/* End of testing code defaults and section to comment out */
if (isset($_POST['wfo'])) { # Are we using AJAX???
	$wfo = $_POST['wfo']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['Component'])) { # Are we using AJAX???
	$component = $_POST['Component']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['standAlone'])) { # Are we using AJAX???
	$standAlone = $_POST['standAlone']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_SESSION['CSSwidescreen'])) {
	$divWidth = ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth);
}
if ($standAlone ) $divWidth = 1022;
$locationArrays = array(
//array("ak","AK, Alaska"),
array("al","AL, Alabama"),
array("az","AZ, Arazona"),
array("ar","AR, Arkansas"),
array("ca","CA, California"),
array("co","CO, Colorado"),
array("co","CT, Connecticut"),
array("de","DE, Delaware"),
array("fl","FL, Florida"),
array("ga","GA, Georgia"),
//array("gu","GU, Guam"),
//array("hi","HI, Hawaii"),
array("id","ID, Idaho"),
array("il","IL, Illinois"),
array("in","IN, Indiana"),
array("ia","IA, Iowa"),
array("ks","KS, Kansas"),
array("ky","KY, Kentucky"),
array("la","LA, Louisiana"),
array("me","ME, Maine"),
array("md","MD, Maryland"),
array("ma","MA, Massachusetts"),
array("mi","MI, Michigan"),
array("mn","MN, Minnesota"),
array("ms","MS, Mississippi"),
array("mo","MO, Missouri"),
array("mt","MT, Montana"),
array("ne","NE, Nebraska"),
array("nv","NV, Nevada"),
array("nh","NH, New Hampshire"),
array("nj","NJ, New Jersey"),
array("nm","NM, New Mexico"),
array("ny","NY, New York"),
array("nc","NC, North Carolina"),
array("nd","ND, North Dakota"),
array("oh","OH, Ohio"),
array("ok","OK, Oklahoma"),
array("or","OR, Oregon"),
array("pa","PA, Pennsylvania"),
//array("pr","PR, Puerto Rico"),
array("ri","RI, Rhode Island"),
array("sc","SC, South Carolina"),
array("sd","SD, South Dakota"),
array("tn","TN, Tennessee"),
array("tx","TX, Texas"),
array("ut","UT, Utah"),
array("vt","VT, Vermont"),
array("va","VA, Virginia"),
array("wa","WA, Washington"),
array("wv","WV, West Virginia"),
array("wi","WI, Wisconsin"),
array("wy","WY, Wyoming"),
);
foreach ($locationArrays as $key => $val) {
	if ($val[0] === $wfo) {
		$wfoText = $locationArrays[$key][1];
		break;
	}
}
$matches = preg_split("/[,]+/",$wfoText);
$city = trim($matches[1]);
$state = $matches[0];

$wfoText = $city;
?>
<?php
$componentArrays = array(
	array("_Day1","Day 1 Heat Risk Forecast"),
    array("_Day2","Day 2 Heat Risk Forecast"),
	array("_Day3","Day 3 Heat Risk Forecast"),
    array("_Day4","Day 4 Heat Risk Forecast"),
	array("_Day5","Day 5 Heat Risk Forecast"),
    array("_Day6","Day 6 Heat Risk Forecast"),
	array("_Day7","Day 7 Heat Risk Forecast"),
	);
foreach ($componentArrays as $key => $val) {
	if ($val[0] == $component) {
		$componentText = $componentArrays[$key][1];
		break;
	}
}
?>
<h2 align="center"><?php echo $componentText?> for <?php echo $wfoText?></h2>
<h4 align="center">To Select Another State or Day <!--Click on Map or -->Choose from a List</h4>
<table width="575px" align="center">
<tr><td align="center">
    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select Forecast Office:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="wfo">
      <optgroup label=" - United States">
      <option value="conus"<?php echo $wfo=="conus"?' selected="selected"':''?>>Continental United States</option>
     </optgroup>
      <optgroup label=" - Alabama">
      <option value="al"<?php echo $wfo=="al"?' selected="selected"':''?>>Alabama</option>
     </optgroup>
   <!--    <optgroup label=" - Alaska">
      <option value="ak"<?php echo $wfo=="ak"?' selected="selected"':''?>>Alaska</option>
     </optgroup>
    -->
    <optgroup label=" - Arizona">
      <option value="az"<?php echo $wfo=="az"?' selected="selected"':''?>>Arizona</option>
    </optgroup>
    <optgroup label=" - Arkansas">
      <option value="ar"<?php echo $wfo=="ar"?' selected="selected"':''?>>Arkansas</option>
    </optgroup>
     <optgroup label=" - California">
      <option value="ca"<?php echo $wfo=="ca"?' selected="selected"':''?>>California</option>
    </optgroup>
      <optgroup label=" - Colorado">
      <option value="co"<?php echo $wfo=="co"?' selected="selected"':''?>>Colorado</option>
    </optgroup>
      <optgroup label=" - Connecticut">
      <option value="ct"<?php echo $wfo=="ct"?' selected="selected"':''?>>Connecticut</option>
    </optgroup>
      <optgroup label=" - Delaware">
      <option value="de"<?php echo $wfo=="de"?' selected="selected"':''?>>Delaware</option>
    </optgroup>
    <optgroup label=" - Florida">
      <option value="fl"<?php echo $wfo=="fl"?' selected="selected"':''?>>Florida</option>
    </optgroup>
    <optgroup label=" - Georgia">
      <option value="ga"<?php echo $wfo=="ga"?' selected="selected"':''?>>Georgia</option>
    </optgroup>
    <!--
		<optgroup label=" - Guam">
 			<option value="gu"<?php echo $wfo=="gu"?' selected="selected"':''?>>Guam</option>
    </optgroup>
		<optgroup label=" - Hawaii">
 			<option value="hi"<?php echo $wfo=="hi"?' selected="selected"':''?>>Hawaii</option>
    </optgroup>
 -->
    <optgroup label=" - Idaho">
      <option value="id"<?php echo $wfo=="id"?' selected="selected"':''?>>Idaho</option>
    </optgroup>
    <optgroup label=" - Illinois">
      <option value="il"<?php echo $wfo=="il"?' selected="selected"':''?>>Illinois</option>
    </optgroup>
    <optgroup label=" - Indiana">
      <option value="in"<?php echo $wfo=="in"?' selected="selected"':''?>>Indiana</option>
    </optgroup>
    <optgroup label=" - Iowa">
      <option value="ia"<?php echo $wfo=="ia"?' selected="selected"':''?>>Iowa</option>
    </optgroup>
    <optgroup label=" - Kansas">
      <option value="ks"<?php echo $wfo=="ks"?' selected="selected"':''?>>Kansas</option>
    </optgroup>
    <optgroup label=" - Kentucky">
      <option value="ky"<?php echo $wfo=="ky"?' selected="selected"':''?>>Kentucky</option>
    </optgroup>
     <optgroup label=" - Louisiana">
      <option value="la"<?php echo $wfo=="la"?' selected="selected"':''?>>Louisiana</option>
    </optgroup>
    <optgroup label=" - Maine">
      <option value="me"<?php echo $wfo=="me"?' selected="selected"':''?>>Maine</option>
    </optgroup>
    <optgroup label=" - Maryland">
      <option value="md"<?php echo $wfo=="md"?' selected="selected"':''?>>Maryland</option>
    </optgroup>
    <optgroup label=" - Massachusetts">
      <option value="ma"<?php echo $wfo=="ma"?' selected="selected"':''?>>Massachusetts</option>
    </optgroup>
    <optgroup label=" - Michigan">
      <option value="mi"<?php echo $wfo=="mi"?' selected="selected"':''?>>Michigan</option>
    </optgroup>
    <optgroup label=" - Minnesota">
      <option value="mn"<?php echo $wfo=="mn"?' selected="selected"':''?>>Minnesota</option>
    </optgroup>
    <optgroup label=" - Mississippi">
      <option value="ms"<?php echo $wfo=="ms"?' selected="selected"':''?>>Mississippi</option>
    </optgroup>
    <optgroup label=" - Missouri">
      <option value="mo"<?php echo $wfo=="mo"?' selected="selected"':''?>>Missouri</option>
    </optgroup>
    <optgroup label=" - Montana">
      <option value="mt"<?php echo $wfo=="mt"?' selected="selected"':''?>>Montana</option>
    </optgroup>
    <optgroup label=" - Nebraska">
      <option value="ne"<?php echo $wfo=="ne"?' selected="selected"':''?>>Nebraska</option>
    </optgroup>
    <optgroup label=" - Nevada">
      <option value="nv"<?php echo $wfo=="nv"?' selected="selected"':''?>>Nevada</option>
    </optgroup>
    <optgroup label=" - New Hampshire">
      <option value="nh"<?php echo $wfo=="nh"?' selected="selected"':''?>>New Hampshire</option>
    </optgroup>
    <optgroup label=" - New Jersey">
      <option value="nj"<?php echo $wfo=="nj"?' selected="selected"':''?>>New Jersey</option>
    </optgroup>
    <optgroup label=" - New Mexico">
      <option value="nm"<?php echo $wfo=="nm"?' selected="selected"':''?>>New Mexico</option>
    </optgroup>
    <optgroup label=" - New York">
      <option value="ny"<?php echo $wfo=="ny"?' selected="selected"':''?>>New York</option>
     </optgroup>
    <optgroup label=" - North Carolina">
      <option value="nc"<?php echo $wfo=="nc"?' selected="selected"':''?>>North Carolina</option>
    </optgroup>
    <optgroup label=" - North Dakota">
      <option value="nd"<?php echo $wfo=="nd"?' selected="selected"':''?>>North Dakota</option>
      </optgroup>
    <optgroup label=" - Ohio">
      <option value="oh"<?php echo $wfo=="oh"?' selected="selected"':''?>>Ohio</option>
    </optgroup>
     <optgroup label=" - Oklahoma">
      <option value="ok"<?php echo $wfo=="ok"?' selected="selected"':''?>>Oklahoma</option>
    </optgroup>
    <optgroup label=" - Oregon">
      <option value="or"<?php echo $wfo=="or"?' selected="selected"':''?>>Oregon</option>
     </optgroup>
    <optgroup label=" - Pennsylvania">
      <option value="pa"<?php echo $wfo=="pa"?' selected="selected"':''?>>Pennsylvania</option>
    </optgroup>
    <!--
    <optgroup label="Puerto Rico">
    	<option value="pr"<?php echo $wfo=="pr"?' selected="selected"':''?>>Puerto Rico</option>
    </optgroup>
    -->
    <optgroup label=" - Rhode Island">
      <option value="ri"<?php echo $wfo=="ri"?' selected="selected"':''?>>Rhode Island</option>
    </optgroup>
    <optgroup label=" - South Carolina">
       <option value="sc"<?php echo $wfo=="sc"?' selected="selected"':''?>>South Carolina</option>
     </optgroup>
    <optgroup label=" - South Dakota">
      <option value="sd"<?php echo $wfo=="sd"?' selected="selected"':''?>>South Dakota</option>
     </optgroup>
    <optgroup label=" - Tennessee">
      <option value="tn"<?php echo $wfo=="tn"?' selected="selected"':''?>>Tennessee</option>
      </optgroup>
    <optgroup label=" - Texas">
      <option value="tx"<?php echo $wfo=="tx"?' selected="selected"':''?>>Texas</option>
      </optgroup>
    <optgroup label=" - Utah">
      <option value="ut"<?php echo $wfo=="ut"?' selected="selected"':''?>>Utah</option>
    </optgroup>
    <optgroup label=" - Vermont">
      <option value="vt"<?php echo $wfo=="vt"?' selected="selected"':''?>>Vermont</option>
    </optgroup>
    <optgroup label=" - Virginia">
      <option value="va"<?php echo $wfo=="va"?' selected="selected"':''?>>Virginia</option>
    </optgroup>
    <optgroup label=" - Washington">
      <option value="wa"<?php echo $wfo=="wa"?' selected="selected"':''?>>Washington</option>
    </optgroup>
    <optgroup label=" - West Virginia">
      <option value="wv"<?php echo $wfo=="wv"?' selected="selected"':''?>>West Virginia</option>
    </optgroup>
    <optgroup label=" - Wisconsin">
      <option value="wi"<?php echo $wfo=="wi"?' selected="selected"':''?>>Wisconsin</option>
    </optgroup>
    <optgroup label=" - Wyoming">
      <option value="wy"<?php echo $wfo=="wy"?' selected="selected"':''?>>Wyoming</option>
    </optgroup>
    </select>
  </td>
  <td align="center">
    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select Component:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="Component">
	<option value="_Day1"<?php echo $component=="_Day1"?' selected="selected"':''?>>Day 1</option>
    <option value="_Day2"<?php echo $component=="_Day2"?' selected="selected"':''?>>Day 2</option>
    <option value="_Day3"<?php echo $component=="_Day3"?' selected="selected"':''?>>Day 3</option>
    <option value="_Day4"<?php echo $component=="_Day4"?' selected="selected"':''?>>Day 4</option>
    <option value="_Day5"<?php echo $component=="_Day5"?' selected="selected"':''?>>Day 5</option>
    <option value="_Day6"<?php echo $component=="_Day6"?' selected="selected"':''?>>Day 6</option>
    <option value="_Day7"<?php echo $component=="_Day7"?' selected="selected"':''?>>Day 7</option>
    </select>
  </td>
</tr></table>
<br/>
<script type="text/javascript">
  $("#wfo").change(function () {
    var wfo = $(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var Component = "<?php echo $component?>";
		var standAlone = "<?php echo $standAlone?>";
    showComponentjs(wfo,divWidth,Component,standAlone);
  });
</script>
<script type="text/javascript">
  $("#Component").change(function () {
    var Component = $(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var wfo = "<?php echo $wfo?>";
		var standAlone = "<?php echo $standAlone?>";
    showComponentjs(wfo,divWidth,Component,standAlone);
  });
</script>
<?php
/* Debug Code *
echo '$component: '.$component.', $componentText: '.$componentText.', $wfo: '.$wfo.' <br/>';
echo '$divWidth: '.$divWidth.', $_SESSION[\'CSSwidescreen\']: '.($_SESSION['CSSwidescreen']==1?'true':'false').', $standAlone: '.($standAlone==1?'true':'false').'<br/>';
/* End Debug Code */
?>
<table width="<?php echo $divWidth?>px" align="center">
<tr><td align="center">
    <img src="https://www.wpc.ncep.noaa.gov/heatrisk/graphics/HeatRisk<?php echo $component?>_<?php echo strtoupper($wfo)?>.png" width="<?php echo $divWidth?>" alt="Heat Risk Forecast <?php echo $component?> Missing"/>
</td>
</tr></table>
<p align="center" style="line-height:140%; font-size:12px"><a href="https://www.wpc.ncep.noaa.gov/heatrisk/" target="_blank" title="New Tab">Heat Risk Page for the Weather Prediction Center</a></p>
</div>
</div> <!-- End #showComponent -->
